<template functional>
  <section
    :ref="data.ref"
    class="section flex flex-col justify-center items-center"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <header
      v-if="slots().heading || slots().summary"
      class="flex flex-col justify-center items-center max-w-5xl text-center mb-10 lg:mb-16"
    >
      <slot name="heading" />
      <slot name="summary" />
    </header>
    <div class="max-w-limit">
      <slot />
    </div>
  </section>
</template>

<script>
export default {
  name: 'ContentSection',
};
</script>

<style lang="postcss" scoped>
.section {
  --section-px: var(--g-px);
  --section-py: var(--g-py);

  padding: var(--section-py) var(--section-px);
}
@screen sm {
  .section {
    --section-px: var(--g-px-sm);
    --section-py: var(--g-py-sm);
  }
}
@screen md {
  .section {
    --section-px: var(--g-px-md);
    --section-py: var(--g-py-md);
  }
}
@screen lg {
  .section {
    --section-px: var(--g-px-lg);
    --section-py: var(--g-py-lg);
  }
}
@screen xl {
  .section {
    --section-px: var(--g-px-xl);
    --section-py: var(--g-py-xl);
  }
}
</style>
